文档首页 > > SDK参考> 准备环境> 配置Java环境

配置Java环境

分享
更新时间: 2020/07/21 GMT+08:00
  1. 配置环境。

    在使用语音交互SDK时,需要准备的环境请参见表 开发环境

    目前Java SDK不支持在android中使用。

    表1 开发环境

    准备项

    说明

    操作系统

    Windows系统,推荐Windows 7及以上版本。

    JDK

    Java开发环境的基本配置。版本要求:强烈推荐使用1.8版本。

    Eclipse

    Eclipse官网下载对应平台的Eclipse版本,比如:eclipse-jee-mars-R-win32-x86_64.zip。

  2. Eclipse导入SDK。
    1. 解压eclipse后,直接打开。同时下载SDK
    2. Window -> Preferences -> Java -> installed JREs配置正确的JRE路径。
    3. 新建工程,在工程下建立一个文件(New -> Folder),命名为lib。将下载的jar包拷贝至lib中。

      如果您是更新SDK,请检查与旧版本依赖的jar包有无版本冲突,否则会影响使用。

      例如:旧版本的SDK日志支持log4j 1xx版本,依赖jar包为log4j-1.2.17.jar、slf4j-api-1.7.21.jar、slf4j-log4j12-1.7.5.jar。新版本需要将其替换成log4j-api-2.12.0.jar、log4j-core-2.12.0.jar、log4j-slf4j-impl-2.12.0.jar、slf4j-api-1.7.26.jar。旧版本依赖java-sdk-core-2.0.1.jar,新版本依赖java-sdk-core-3.0.12.jar。旧版本依赖fastjson-1.2.7.jar,新版本依赖fastjson-1.2.67.jar。

    4. 右单击工程,选择Build Path -> Configure Build Path –> 选择Libraries -> 选择Add JARs。 在打开的窗口选择刚放进lib的jar包。单击“OK”,导入完成。

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!

非常感谢您的反馈,我们会继续努力做到更好!

反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问